Error when upgrading 3.13 to 3.15

Discussion in 'Installation/Configuration' started by Pixels Ing., Oct 8, 2019.

Tags:
  1. Pixels Ing.

    Pixels Ing. New Member

    Hi,
    I've encountered this error during update process (stable ou git-stable)
    PHP Parse error: syntax error, unexpected '[' in /usr/local/ispconfig/server/plugins-available/powerdns_plugin.inc.php on line 539
    Is it bad ? What may I do ?

    It's on a Debian 7
    Thx

    Francis
     
  2. Jesse Norell

    Jesse Norell Well-Known Member

    sound like you php is too old, probably 5.3. You could upgrade to debian 8, then to 9, then to 10, then go through the perfect server guide for debian 10 and run all the installation commands to make sure you have all needed software, then reinstall ISPConfig 3.1.15. Or you could try fixing all the php errors you encounter to use older syntax (eg. fixing that array syntax is trivial, though some other things you might encounter are more involved). Or you could install a new debian 10 server and migrate your domains. In a pinch you could even restore the back-up you made before upgrading, but you really should get a plan in place to be on a current OS soon.
     
  3. Pixels Ing.

    Pixels Ing. New Member

    Thank you for your answer.
    Unfortunately, it is not possible to upgrade to later versions of debian because some old applications on this server requires php 5.3 to work.
    I will try to fix php errors.
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Update to git-stable branch (not master!!), the PHP 5.3 incompatibility should have been solved there.
     
    Jesse Norell likes this.
  5. Pixels Ing.

    Pixels Ing. New Member

    Cool ! Thx, I will try and give you the feedback
     
  6. Steini86

    Steini86 Member

    That is your major problem. If your application would run with php5.6, that is available via sury.org even in Debian10. Otherwise I would suggest a docker container to run antiquated software.
     
  7. Pixels Ing.

    Pixels Ing. New Member

    @till : it worked. Thx
    @Steini86 : you're surely right but I have no idea of how to implement and use docker
     

Share This Page